Skip to main content
GET
Get one specific product variant
Learn more:
  • What is a product? ↗

Path Parameters

consumer_id
string<uuid>
required
variant_id
string
required

Response

Successful Response

id
string
required

Technical id in Chift

Example:

"<this-id>"

source_ref
Ref · object
required

Technical id in the target software

parent_id
string
required

Technical id of the parent product in Chift

Example:

"<commerce-product-id>"

name
string
required
Example:

"T-Shirt - M"

description
string | null
Example:

"Classic cotton T-Shirt, available in several sizes."

description_html
string | null
Example:

"<p>Classic cotton T-Shirt, available in several sizes.</p>"

categories
CommerceProductCategoryItem · object[] | null
created_on
string<date-time> | null
Example:

"2026-01-15T10:30:00Z"

sku
string | null
Example:

"TSHIRT-M"

taxable
boolean | null
barcode
string | null
Example:

"5410000000000"

available_quantity
number | null
default:0
Example:

10

prices
CommerceProductPriceItem · object[] | null
unit_cost
ProductCostItem · object | null
unit_of_measure
string | null
Example:

"piece"

weight
number | null
default:0
Example:

0.2

weight_unit
string | null
Example:

"kg"

status
enum<string> | null
Available options:
unknown,
archived,
unpublished,
published
inventory_details
InventoryDetailsItem · object[] | null
common_attributes
CommonAttributeItem · object[] | null

List of attributes that are shared by all variants of the product.

variant_attributes
VariantAttributeItem · object[] | null

List of attributes that are specific to the variant of the product.

common_images
ImageItem · object[] | null

List of images that are shared by all variants of the product.

variant_images
ImageItem · object[] | null

List of images that are specific to the variant of the product.